The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> getwchar - get a wide character from a stdin stream

#### SYNOPSIS

> ``#include <wchar.h>
> wint_t getwchar(void);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The getwchar() function shall be equivalent to getwc(stdin).

#### RETURN VALUE

> Refer to fgetwc.

#### ERRORS

> Refer to fgetwc.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> If the wint_t value returned by getwchar() is stored into a variable of type wchar_t and then compared against the wint_t macro WEOF, the result may be incorrect. Only the wint_t type is guaranteed to be able to represent any wide character and WEOF.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> Standard I/O Streams, fgetwc, getwc

> XBD <wchar.h>

#### CHANGE HISTORY

> First released as a World-wide Portability Interface in Issue 4. Derived from the MSE working draft.

#### Issue 7

> POSIX.1-2008, Technical Corrigendum 1, XSH/TC1-2008/0271 [14] is applied.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]